--- /dev/null
+openssh-cn
++--------+
+
+Paket dodaje u sshd_config:
+
+ * ReverseMappingCheck yes
+ * PermitRootLogin no
+
+ -- Ivan 'ico' Rako <irako@srce.hr> Thu, 20 Nov 2003 19:17:02 +0100
--- /dev/null
+openssh-cn (2:4.3p2-1) carnet-etch; urgency=medium
+
+ * Prva verzija za Etch.
+
+ -- Ivan Rako <Ivan.Rako@CARNet.hr> Tue, 18 Sep 2007 16:04:41 +0200
+
+openssh-cn (2:3.8p1-2)
+
+ * nova inacica Debian paketa
+ * /usr/local/doc -> /usr/share/doc
+ * zakomentirana stara opcija ReverseMappingCheck
+
+ -- Ivan 'ico' Rako <irako@srce.hr> Tue, 30 Mar 2004 01:21:39 +0200
+
+openssh-cn (2:3.6.1p2-11)
+
+ * inicijalna verzija paketa
+
+ -- Ivan 'ico' Rako <irako@srce.hr> Thu, 20 Nov 2003 19:29:17 +0100
--- /dev/null
+../changelog.CARNet
\ No newline at end of file
--- /dev/null
+Source: openssh-cn
+Section: net
+Priority: optional
+Maintainer: Ivan Rako <Ivan.Rako@CARNet.hr>
+Build-Depends: debhelper (>= 4.0.0)
+Standards-Version: 3.6.1
+
+Package: openssh-cn
+Architecture: all
+Depends: carnet-tools-cn (>= 2.5), ssh (>= 2.0)
+Description: Secure shell client and server (transitional package)
+ This is a transitional package depending on both the OpenSSH client and
+ the OpenSSH server, which are now in separate packages. You may remove
+ it once the upgrade is complete and nothing depends on it.
--- /dev/null
+README.CARNet
+changelog.CARNet
--- /dev/null
+#!/bin/sh
+
+set -e
+[ "$1" = "configure" ] || exit 0
+
+. /usr/share/carnet-tools/functions.sh
+
+if [ -f /etc/ssh/sshd_config ]; then
+ check_and_sed '^PermitRootLogin yes' \
+ 's/PermitRootLogin yes/PermitRootLogin no/g' \
+ /etc/ssh/sshd_config || true
+
+ check_and_sed '^ReverseMappingCheck' \
+ 's/^ReverseMappingCheck/#ReverseMappingCheck/g' \
+ /etc/ssh/sshd_config || true
+fi
+
+# restart
+if [ -x /usr/sbin/invoke-rc.d ]; then
+ [ -x /etc/init.d/ssh ] && invoke-rc.d ssh restart
+else
+ [ -x /etc/init.d/ssh ] && /etc/init.d/ssh restart
+fi
--- /dev/null
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ # Add here commands to configure the package.
+
+ touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp
+ dh_testdir
+
+ # Add here commands to compile the package.
+ # $(MAKE)
+
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp configure-stamp
+
+ # Add here commands to clean up after the build process.
+ # -$(MAKE) clean
+
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+
+ # Add here commands to install the package into debian/openssh-cn.
+ # $(MAKE) install DESTDIR=$(CURDIR)/debian/openssh-cn
+
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+ dh_testdir
+ dh_testroot
+# dh_installchangelogs -k
+ dh_installdocs
+# dh_installexamples
+ dh_install
+# dh_installmenu
+# dh_installdebconf
+# dh_installlogrotate
+# dh_installemacsen
+# dh_installpam
+# dh_installmime
+# dh_installinit
+# dh_installcron
+# dh_installinfo
+ dh_installman
+# dh_link
+# dh_strip
+# dh_compress
+ dh_fixperms
+# dh_perl
+# dh_python
+# dh_makeshlibs
+ dh_installdeb
+# dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure